<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextUniqueMultipleKey Method (Int32)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextUniqueMultipleKey is identical to MoveFirstMultipleKey(Int32). Otherwise, move the cursor to the next non-duplicate key in the database, and store that key and associated datum and as many ensuing key/data pairs that can fit in a buffer the size of BufferSize in CurrentMultipleKey. MoveNextUniqueMultipleKey will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#

    public bool MoveNextUniqueMultipleKey(
    	int BufferSize
    )

Visual Basic (Declaration)

    Public Function MoveNextUniqueMultipleKey ( _
    	BufferSize As Integer _
    ) As Boolean

Visual C++

    public:
    bool MoveNextUniqueMultipleKey(
    	int BufferSize
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with key/data pairs. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextUniqueMultipleKey Overload
BerkeleyDB Namespace